import platform from 'platform';

export default function getUserAgentHeader(sdk, application, integration) {
  var headerParts = [];

  headerParts.push(application ? 'app ' + application : '');
  headerParts.push(integration ? 'integration ' + integration : '');
  headerParts.push('sdk ' + sdk);
  headerParts.push('platform ' + platform.name + '/' + platform.version);
  headerParts.push('os ' + platform.os.family + '/' + (platform.os.version || '0.0.0'));
  return headerParts.filter(function (item) {
    return item !== '';
  }).join('; ');
}