'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = getUserAgentHeader;

var _platform = require('platform');

var _platform2 = _interopRequireDefault(_platform);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function getUserAgentHeader(sdk, application, integration) {
  var headerParts = [];

  headerParts.push(application ? 'app ' + application : '');
  headerParts.push(integration ? 'integration ' + integration : '');
  headerParts.push('sdk ' + sdk);
  headerParts.push('platform ' + _platform2.default.name + '/' + _platform2.default.version);
  headerParts.push('os ' + _platform2.default.os.family + '/' + (_platform2.default.os.version || '0.0.0'));
  return headerParts.filter(function (item) {
    return item !== '';
  }).join('; ');
}
module.exports = exports['default'];